cURL
curl --request POST \
--url https://api.openpipe.ai/api/v1/datasets/{datasetId}/entries \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"entries": [
{
"messages": [
{
"role": "system",
"content": "",
"name": "<string>"
}
],
"tool_choice": "none",
"tools": [
{
"function": {
"name": "<string>",
"parameters": {},
"description": "<string>",
"strict": true
},
"type": "function"
}
],
"response_format": {
"type": "text"
},
"metadata": {}
}
]
}
'import requests
url = "https://api.openpipe.ai/api/v1/datasets/{datasetId}/entries"
payload = { "entries": [
{
"messages": [
{
"role": "system",
"content": "",
"name": "<string>"
}
],
"tool_choice": "none",
"tools": [
{
"function": {
"name": "<string>",
"parameters": {},
"description": "<string>",
"strict": True
},
"type": "function"
}
],
"response_format": { "type": "text" },
"metadata": {}
}
] }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
entries: [
{
messages: [{role: 'system', content: '', name: '<string>'}],
tool_choice: 'none',
tools: [
{
function: {name: '<string>', parameters: {}, description: '<string>', strict: true},
type: 'function'
}
],
response_format: {type: 'text'},
metadata: {}
}
]
})
};
fetch('https://api.openpipe.ai/api/v1/datasets/{datasetId}/entries', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"object": "dataset.entries.creation",
"entries_created": 123,
"errors": {
"object": "list",
"data": [
{
"object": "dataset.entries.creation.error",
"entry_index": 123,
"message": "<string>"
}
]
}
}{
"message": "<string>",
"code": "<string>",
"issues": [
{
"message": "<string>"
}
]
}Datasets
Add Entries to Dataset
Add new dataset entries.
POST
/
datasets
/
{datasetId}
/
entries
cURL
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
Body
application/json
Required array length:
1 - 100 elementsShow child attributes
Show child attributes
⌘I